@charset "utf-8";


.tickets_btn{
  display: inline-block;
  background: rgba(255, 255, 255, .10);
  color: #fff;
  font-family: $roboto;
  width: 134px;
  font-size: 13px;
  font-weight: 500;
  border: 1px solid rgba(255, 255, 255, .50);
  line-height: 48px;
  border-radius: 3px;
  outline: none !important;
  box-shadow: none !important;
  text-align: center;
  cursor: pointer;
  transition: 0.5s ease all;
  vertical-align: center;
  text-decoration: none;

  i{
    display: inline-block;
    font-size: 14px;
    margin-right: 5px;
  }
  &:hover{
    background: #fff;
    color: $dip;
    border-color: #fff;
  }

  &.onDark{
    color: $dip;
    background: white;

    &:hover{
      background: rgba(255, 255, 255, .10);
      color: white;
    }
  }
}

.hide-on-xs{
  @include media(){
    display: none;
  }
}

.hide-on-lg{
  @media (min-width: map_get($grid-breakpoints, "lg") + 1) {
    display: none;
  }
}

.text-white{
  color: #fff;
}

.text-red{
  color: darken($red, 10%);
}

.light-blue-bg{
  background-color: $blueLight;
}

.py-100{
  padding-top: 100px;
  padding-bottom: 100px;
}

.descr-section{
  margin-bottom: 50px;

  p{
    max-width: 570px;
    font-size: 17px;
    color: #777777;
    margin: auto;
  }
}

.hidden{
  opacity: 0;
}

.whitesmoke-bg{
  background-color: #fafafa;
}

.simple-link{
  font-size: 14px;
  color: $blueLight;

  &:hover{
    color: darken($blueLight, 5%);
  }
}

/*-----------------------------------
m p w h
-----------------------------------*/
$classes: (
  mt: margin-top,
  mb: margin-bottom,
  //mr: margin-right,
  //ml: margin-left,
  pt: padding-top,
  pb: padding-bottom,
  //pr: padding-right,
  //pl: padding-left,
  //w: width,
  //h: height,
);


$i: 0; $s: 5; $max: 300;
@while $i <= $max {

  @each $key, $val in $classes{
    .#{$key}#{$i}{
      #{$val}: $i + px;
    }
  }

  $i: $i + $s;
}




